summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/parrot/README14
-rw-r--r--development/parrot/parrot.Slackbuild90
-rw-r--r--development/parrot/parrot.info10
-rw-r--r--development/parrot/slack-desc13
4 files changed, 127 insertions, 0 deletions
diff --git a/development/parrot/README b/development/parrot/README
new file mode 100644
index 0000000000..8489d471dc
--- /dev/null
+++ b/development/parrot/README
@@ -0,0 +1,14 @@
+ Parrot VM - a VM for dynamic languages
+
+Parrot is a virtual machine designed to efficiently compile and
+execute bytecode for dynamic languages. Parrot currently hosts
+a variety of dynamic languages such as Tcl, Javascript, Ruby,
+Lua, Scheme, PHP, Python, Perl 6, APL, and a .NET bytecode translator.
+
+<http://parrot.org>
+
+If you want to compile parrot with icu4c run the SlackBuild as below.
+You'll need of course to install icu4c. A build script for this is available
+at SlackBuilds.org.
+
+ICU=yes ./parrot.SlackBuild
diff --git a/development/parrot/parrot.Slackbuild b/development/parrot/parrot.Slackbuild
new file mode 100644
index 0000000000..84d6e19bc3
--- /dev/null
+++ b/development/parrot/parrot.Slackbuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for ParrotVM
+# Written by svatsan <nastavs [at] gmail [dot] com>
+
+PRGNAM=parrot
+VERSION=${VERSION:-2.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Standard build without ICU
+ICU=${ICU:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Do we want to compile this with icu4c support?
+if [ "$ICU" = "yes" ]; then
+ ICUCONFIG="--icu-config=/usr/bin/icu-config"
+else
+ ICUCONFIG="--without-icu"
+fi
+
+perl Configure.pl \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --parrot_is_shared \
+ $ICUCONFIG
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CREDITS ChangeLog DEPRECATED.pod DONORS.pod LICENSE MANIFEST NEWS \
+ PBC_COMPAT PLATFORMS README* RESPONSIBLE_PARTIES TODO VERSION docs/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.Slackbuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/parrot/parrot.info b/development/parrot/parrot.info
new file mode 100644
index 0000000000..607729c52b
--- /dev/null
+++ b/development/parrot/parrot.info
@@ -0,0 +1,10 @@
+PRGNAM="parrot"
+VERSION="2.6.0"
+HOMEPAGE="http://parrot.org"
+DOWNLOAD="http://ftp.parrot.org/releases/supported/2.6.0/parrot-2.6.0.tar.gz"
+MD5SUM="a8e0d723797dc4ff3d6551d03814204a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Shrivatsan V Sampathkumar"
+EMAIL="nastavs@gmail.com"
+APPROVED="Michiel"
diff --git a/development/parrot/slack-desc b/development/parrot/slack-desc
new file mode 100644
index 0000000000..e6b30f889d
--- /dev/null
+++ b/development/parrot/slack-desc
@@ -0,0 +1,13 @@
+ |----------------------------------------------------------------------|
+parrot: Parrot VM - a VM for dynamic languages
+parrot:
+parrot: Parrot is a virtual machine designed to efficiently compile and
+parrot: execute bytecode for dynamic languages. Parrot currently hosts
+parrot: a variety of dynamic languages such as Tcl, Javascript, Ruby,
+parrot: Lua, Scheme, PHP, Python, Perl 6, APL, and a .NET bytecode translator.
+parrot:
+parrot: <http://parrot.org>
+parrot:
+parrot:
+parrot:
+